import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { EaseOfMovementIndicator } from "./EaseOfMovementIndicator";
/**
 * Represents a IgxDataChartComponent Ease of Movement indicator series.
 * The ease of movement indicator by Richard W. Arms, Jr relates the price change of an asset to
 * its volume. Normally smoothed with a moving average.
 * Default required members: Low, High, Volume
*/
export class IgrEaseOfMovementIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new EaseOfMovementIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
}
